up-imapproxy-1.2.7-0.2.rc2.PU_IAS.5.x86_64.rpm


Advertisement

Description

up-imapproxy - University of Pittsburgh IMAP Proxy

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported x86_64
Package name up-imapproxy
Package version 1.2.7
Package release 0.2.rc2.PU_IAS.5
Package architecture x86_64
Package type rpm
Installed size 139.95 KB
Download size 57.07 KB
Official Mirror springdale.math.ias.edu
imapproxy was written to compensate for webmail clients that are
unable to maintain persistent connections to an IMAP server. Most
webmail clients need to log in to an IMAP server for nearly every
single transaction. This behaviour can cause tragic performance
problems on the IMAP server. imapproxy tries to deal with this problem
by leaving server connections open for a short time after a webmail
client logs out. When the webmail client connects again, imapproxy
will determine if there's a cached connection available and reuse it
if possible.

Alternatives

Package Version Architecture Repository
up-imapproxy-1.2.8-0.3.20130726svn14389.el5.i386.rpm 1.2.8 i386 EPEL
up-imapproxy-1.2.8-0.3.20130726svn14389.el5.x86_64.rpm 1.2.8 x86_64 EPEL
up-imapproxy-1.2.7-0.2.rc2.PU_IAS.5.i386.rpm 1.2.7 i386 PUIAS Unsupported
up-imapproxy - - -

Requires

Name Value
/bin/bash -
/sbin/chkconfig -
/sbin/service -
config(up-imapproxy) = 1.2.7-0.2.rc2.PU_IAS.5
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libcrypto.so.6()(64bit) -
libncurses.so.5()(64bit) -
libnsl.so.1()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libssl.so.6()(64bit) -
libwrap.so.0()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
config(up-imapproxy) = 1.2.7-0.2.rc2.PU_IAS.5
up-imapproxy = 1.2.7-0.2.rc2.PU_IAS.5

Download

Type URL
Binary Package up-imapproxy-1.2.7-0.2.rc2.PU_IAS.5.x86_64.rpm
Source Package up-imapproxy-1.2.7-0.2.rc2.PU_IAS.5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/x86_64/
    enabled=1
    gpgcheck=0
    
  2. Install up-imapproxy rpm package:
    # yum install up-imapproxy

Files

Path
/etc/imapproxy.conf
/etc/rc.d/init.d/imapproxy
/usr/sbin/in.imapproxyd
/usr/sbin/pimpstat
/usr/share/doc/up-imapproxy-1.2.7/COPYING
/usr/share/doc/up-imapproxy-1.2.7/ChangeLog
/usr/share/doc/up-imapproxy-1.2.7/README
/usr/share/doc/up-imapproxy-1.2.7/README.debian
/usr/share/doc/up-imapproxy-1.2.7/README.known_issues
/usr/share/doc/up-imapproxy-1.2.7/README.ssl
/usr/share/doc/up-imapproxy-1.2.7/copyright
/var/run/pimpstats

Changelog

2009-07-14 - Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to version 1.2.7rc2
2005-10-11 - Ville Skyttä <ville.skytta at iki.fi> - 1.2.4-4
- Fix for CAN-2005-2661 (#170220, from Debian).
2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-3
- Same as -2.
2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-2
- No-op release bump to get a new buildsys tag.
2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-1
- Bump to current upstream release.
- Upstream includes a new doc (copyright), included.
2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-6
- Another change to the init script.
2005-09-03 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-5
- Preserve certain timestamps.
2005-09-01 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-4
- Fix rpmlint complaints.
- Paul also provided a replacement init script.
- Fixed some redundant BuildReqs.
- Tuned Requires, install, and files.
- Many thanks to Paul Howarth.
2005-08-31 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-3
- Added BuildRequires.
2005-08-12 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-2
- Multiple fixups recommended by spot.

See Also

Package Description
viewvc-1.0.4-2.PU_IAS.5.noarch.rpm Browser interface for CVS and SVN version control repositories
vlc-1.0.2-3.PU_IAS.5.x86_64.rpm Multi-platform MPEG, DVD, and DivX player
vlc-devel-1.0.2-3.PU_IAS.5.x86_64.rpm Development package for vlc
wol-0.7.1-3.PU_IAS.5.x86_64.rpm Wake On Lan client
workrave-1.8.4-1.PU_IAS.5.x86_64.rpm Tool to recover from or prevent Repetitive Strain Injury
wxBase-2.8.9-2.PU_IAS.5.x86_64.rpm Non-GUI support classes from the wxWidgets library
wxGTK-2.8.9-2.PU_IAS.5.x86_64.rpm GTK2 port of the wxWidgets GUI library
wxGTK-devel-2.8.9-2.PU_IAS.5.x86_64.rpm Development files for the wxGTK2 library
wxGTK-gl-2.8.9-2.PU_IAS.5.x86_64.rpm OpenGL add-on for the wxWidgets library
wxPython-2.8.7.1-2.PU_IAS.5.x86_64.rpm GUI toolkit for the Python programming language
wxPython-devel-2.8.7.1-2.PU_IAS.5.x86_64.rpm Development files for wxPython add-on modules
xemacs-21.5.28-4.PU_IAS.5.x86_64.rpm Different version of Emacs
xemacs-common-21.5.28-4.PU_IAS.5.x86_64.rpm Byte-compiled lisp files and other common files for XEmacs
xemacs-devel-21.5.28-4.PU_IAS.5.x86_64.rpm Development files for XEmacs
xemacs-el-21.5.28-4.PU_IAS.5.x86_64.rpm Emacs lisp source files for XEmacs
Advertisement
Advertisement